Archivo de la etiqueta: Snow Leopard

DNI electrónico en MacOS X Snow Leopard

Hace unos meses renové el DNI y me dieron ya el DNI electrónico. Además pedí uno de los lectores de la campaña de Tractis que los mandaban por 2€ (gastos de envío). Intenté instalarlo con las instrucciones que venían en el CD de drivers pero no iba, y como por entonces realmente no lo necesitaba lo dejé estar. Ahora con la Renta a la vuelta de la esquina he decidido darle otra oportunidad. Esta vez básicamente lo que he hecho ha sido desinstalar y seguir los pasos de ésta página y ésta otra:

  • Desinstalar la instalación anterior, ejecutar:
    • sudo -i
    • /Library/OpenSC/bin/dnie-uninstall
    • /Library/OpenSC/bin/opensc-uninstall
  • Instalar el driver SCA para MacOS X. Las versiones 0.2.8 y 0.2.7-pre no me han funcionado, la que finalmente me va es la 0.2.3pre2.
  • Del portal del DNI-e para Mac, instalar el driver.
  • Después de reiniciar la sesión, instalar el certificado raíz del DNI-e. Instalarlo en Firefox porque Safari no está soportado. :-( Preferencias->Avanzado->Cifrado->Ver Certificados->Autoridades->Importar (en las páginas que he enlazado al principio hay capturas de pantalla).
  • Con el lector ya pinchado a un puerto USB y el DNI dentro, instalar en Firefox el driver del lector: Preferencias->Avanzado->Cifrado->Dispositivos de Seguridad->Cargar y como “Archivo del módulo” poner /Library/OpenSC/lib/opensc-pkcs11.so.
  • Acceder a la página de prueba para ver que funciona (elegir el certificado de autenticación, no el de firma ;D).

La primera vez que se vaya a usar el DNI-e en cada sesión pide la contraseña (PIN) que os debieron dar al haceroslo. Ahora puede ser un buen momento para cambiarla. ;-) ¡Pero para cambiarlo por Internet hay que instalar un .exe! Así que en Mac, nada. Hay que ir a una oficina de expedición. m-/

Un detalle que me ha traído de cabeza un rato: tengo un hub USB al que tenía pinchado el lector y no había manera de que funcionase, ni siquiera se encendía el LED. Al pincharlo directamente a un puerto USB del Mac, sin problemas. Así que ojo si tenéis un hub.

Otro detalle: aunque con esto el chiringuito ya esté instalado y funcionando, eso no quiere decir que podamos acceder a cualquier página que admita DNI-e. P.ej. en ING se puede acceder con el DNI en vez de contraseña y tarjeta de claves, pero al ir a acceder me sale un mensaje diciendo que mi navegador o sistema operativo no está soportado. :-/

Así que aparte del lío para instalarlo, aparte de que no funcione en Safari ni Chrome y haya que usar Firefox, algunas webs puede que dependan de algún applet Java que se atragante en Mac o un control ActiveX con lo que apaga y vámonos, y además con Mac no puedes cambiar el PIN.

Tres hurras por las tecnologías abiertas independientes de la plataforma bien implementadas. :-P Me parece que ya he hecho todo el uso del DNI-e que voy a poder hacer en Mac. :-/

Safari AdBlocker, compatible 64bits

Por fin, ¡¡¡un bloqueador de publicidad que funciona en Snow Leopard a 64 bits!!! Con el paso a 64 bits muchos plugins para Safari dejaron de funcionar, entre otros todos los de bloqueo de publicidad.

Acabo de dar por casualidad con uno que funciona: el Safari AdBlocker, un fork basado en SIMBL del SafariBlock compatible con las suscripciones para AdBlock Plus.

¡Muy recomendable!

Samsung ML-1520 en MacOS X Snow Leopard

[spanish]Drivers GPL para gran cantidad de impresoras en MacOS X. Si el sistema no lleva drivers para la tuya ni el fabricante los proporciona, prueba instalando estos. A mi me funcionan perfectamente con una Samsung ML-1520. Y si ya los tenías y después de actualizar a Snow Leopard han dejado de ir, instala la última versión, a mi me pasaba lo mismo.[/spanish][english]GPL drivers for many printer models for MacOS X. If the system doesn’t support your printer out of the box and the printer’s manufacturer doesn’t provide them, give these drivers a try. They work for me with a Samsung ML-1520. And if you already had them but they stopped working after upgrading to Snow Leopard, just reinstall the latest release from the links above. Happened to me.[/english]